Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Resource/Index.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Resource/Index.cshtml	(revision 13768)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Resource/Index.cshtml	(revision 13775)
@@ -99,5 +99,5 @@
                     <td>Status</td>
                     <td>
-                        <select class="content-select" ng-model="currentcal.down[0][selectedEventId].title" ng-change="setChanged()">
+                        <select class="content-select" ng-model="currentcal.down[0][selectedEventId].title" ng-change="setChanged(selectedEventId)">
                             <option value="Unavailable">Unavailable</option>
                             <option value="Shutdown">Shutdown command</option>
@@ -106,10 +106,66 @@
                 </tr>
                 <tr>
+                    <td>Recurrence</td>
+                    <td>
+                        <input type="checkbox" class="checkbox" ng-model="currentcal.down[0][selectedEventId].rec.recurrence" ng-change="setChanged(selectedEventId)" />
+                        <p ng-if="currentcal.down[0][selectedEventId].changed && currentcal.down[0][selectedEventId].rec.recurrence" style="color:darkred;font-weight:bold">
+                            The recurrence itself will be made during saving, settings can be changed here.
+                        </p>
+                    </td>
+                </tr>
+                <tr ng-if="currentcal.down[0][selectedEventId].rec.recurrence">
+                    <td>
+                        Start
+                    </td>
+                    <td>
+                        <input type="date" 
+                               ng-model="currentcal.down[0][selectedEventId].rec.start" 
+                               ng-change="checkDateStartEnd()" />
+                    </td>
+                </tr>
+                <tr ng-if="currentcal.down[0][selectedEventId].rec.recurrence" >
+                    <td>
+                        End
+                    </td>
+                    <td>
+                        <input type="date" 
+                               ng-model="currentcal.down[0][selectedEventId].rec.end" 
+                               ng-change="checkDateStartEnd()" 
+                               min="{{currentcal.down[0][selectedEventId].rec.start | date:'yyyy-MM-dd'}}"/>
+                    </td>
+                </tr>
+                
+                <tr ng-if="currentcal.down[0][selectedEventId].rec.recurrence">
+                    <td colspan="2">
+                        <label class="checkbox-inline"><input type="checkbox" ng-model="currentcal.down[0][selectedEventId].rec.days[1]">Monday</label>
+                        <label class="checkbox-inline"><input type="checkbox" ng-model="currentcal.down[0][selectedEventId].rec.days[2]">Tuesday</label>
+                        <label class="checkbox-inline"><input type="checkbox" ng-model="currentcal.down[0][selectedEventId].rec.days[3]">Wednesday</label>
+                        <label class="checkbox-inline"><input type="checkbox" ng-model="currentcal.down[0][selectedEventId].rec.days[4]">Thursday</label>
+                        <label class="checkbox-inline"><input type="checkbox" ng-model="currentcal.down[0][selectedEventId].rec.days[5]">Friday</label>
+                        <label class="checkbox-inline"><input type="checkbox" ng-model="currentcal.down[0][selectedEventId].rec.days[6]">Saturday</label>
+                        <label class="checkbox-inline"><input type="checkbox" ng-model="currentcal.down[0][selectedEventId].rec.days[0]">Sunday</label>
+                    </td>
+                    
+                </tr>
+                <tr>
                     <td></td>
                     <td>
+                        <button class="btn btn-info"
+                                ng-click="pushRecurChanges(currentcal.down[0][selectedEventId].rec.recid)"
+                                ng-if="currentcal.down[0][selectedEventId].rec.recid != '0' && 
+                                currentcal.down[0][selectedEventId].rec.recid != '00000000-0000-0000-0000-000000000000' &&
+                                currentcal.down[0][selectedEventId].changed">
+                            Push all changes to other recurrencies
+                        </button>
                         <button class="btn btn-danger"
                                 ng-click="remove(selectedEventId)">
                             <i class="fa fa-trash-o"></i>
                             Delete
+                        </button>
+                        <button class="btn btn-danger"
+                                ng-click="deleteAllRecurrences(currentcal.down[0][selectedEventId].rec.recid)"
+                                ng-if="currentcal.down[0][selectedEventId].rec.recid != '0'
+                                        && currentcal.down[0][selectedEventId].rec.recid != '00000000-0000-0000-0000-000000000000'">
+                            Delete all recurrencies
                         </button>
                     </td>
